Next: MSP430 Syntax, Up: MSP430-Dependent [Contents][Index]

#### 9.29.1 Options

`-mmcu`

  selects the mcu architecture. If the architecture is 430Xv2 then this also enables NOP generation unless the `-mN` is also specified.

`-mcpu`

  selects the cpu architecture. If the architecture is 430Xv2 then this also enables NOP generation unless the `-mN` is also specified.

`-mP`

  enables polymorph instructions handler.

`-mQ`

  enables relaxation at assembly time. DANGEROUS!

`-ml`

  indicates that the input uses the large code model.

`-mn`

  enables the generation of a NOP instruction following any instruction that might change the interrupts enabled/disabled state. The pipelined nature of the MSP430 core means that any instruction that changes the interrupt state (`EINT`, `DINT`, `BIC #8, SR`, `BIS #8, SR` or `MOV.W <>, SR`) must be followed by a NOP instruction in order to ensure the correct processing of interrupts. By default it is up to the programmer to supply these NOP instructions, but this command line option enables the automatic insertion by the assembler, if they are missing.

`-mN`

  disables the generation of a NOP instruction following any instruction that might change the interrupts enabled/disabled state. This is the default behaviour.

`-my`

  tells the assembler to generate a warning message if a NOP does not immediately forllow an instruction that enables or disables interrupts. This is the default.

  Note that this option can be stacked with the `-mn` option so that the assembler will both warn about missing NOP instructions and then insert them automatically.

`-mY`

  disables warnings about missing NOP instructions.

`-md`

  mark the object file as one that requires data to copied from ROM to RAM at execution startup. Disabled by default.

Next: MSP430 Syntax, Up: MSP430-Dependent [Contents][Index]